NodeParents (Groovy 4.0.10)
Description: declaration: package: groovy.xml.slurpersupport, class: NodeParents

Package groovy.xml.slurpersupport

# Class NodeParents

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.xml.slurpersupport.GPathResult
groovy.xml.slurpersupport.NodeChildren
groovy.xml.slurpersupport.NodeParents

All Implemented Interfaces:
  `Buildable`, `GroovyObject`, `Writable`, `Iterable`

public class NodeParents extends NodeChildren
Lazy evaluated representation of parent nodes without duplicates

- ## Field Summary

  ### Fields inherited from class groovy.xml.slurpersupport.GPathResult

  `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeParents(GPathResult parent, Map<String,String> namespaceTagHints)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator`
  `nodeIterator()`

  ### Methods inherited from class groovy.xml.slurpersupport.NodeChildren

  `appendNode, build, childNodes, find, findAll, iterator, parents, replaceBody, replaceNode, size, text, writeTo`

  ### Methods inherited from class groovy.xml.slurpersupport.GPathResult

  `breadthFirst, children, createIterator, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### NodeParents

    public NodeParents(GPathResult parent, Map<String,String> namespaceTagHints)
    Parameters:
      `parent` - the GPathResult prior to the application of the expression creating this GPathResult
      `namespaceTagHints` - the known tag to namespace mappings

- ## Method Details

  - ### nodeIterator

    public Iterator nodeIterator()
    Overrides:
      `nodeIterator` in class `NodeChildren`